#!/bin/sh

if [ -n "$1" ]
then
    CHROOT_DIR=$1
else
    echo "Usage: $0 <directory_to _install_entware>"
    exit 1
fi

#Подмонтируем виртуальные ядерные ФС
for dir in dev dev/pts proc sys; do
    mkdir -p $CHROOT_DIR/$dir
    mount -o bind /$dir $CHROOT_DIR/$dir
    sleep 1
done

#папки для установки busybox
mkdir -p $CHROOT_DIR/bin
mkdir -p $CHROOT_DIR/sbin

#скрипт и busybox могут быть на файловой системе, смонтированной с noexec, а вот на $CHROOT_DIR execution bit должен поддерживаться

cp `dirname $0`/busybox $CHROOT_DIR/bin/
chmod +x $CHROOT_DIR/bin/busybox

#установка busybox (создание симлинков) - делаем в среде chroot
PATH=/bin:/sbin $CHROOT_DIR/bin/busybox chroot $CHROOT_DIR /bin/busybox --install -s

#для дальнейшего нам потребуются в chroot файлы /etc/resolv.conf и /etc/hosts
#их можно или скопировать с папки /etc устройства или создать так:
mkdir -p $CHROOT_DIR/etc
echo 'nameserver 8.8.8.8' > $CHROOT_DIR/etc/resolv.conf
echo 'nameserver 8.8.4.4' >> $CHROOT_DIR/etc/resolv.conf
echo '127.0.0.1  localhost' > $CHROOT_DIR/etc/hosts


echo "После успешной 'установки' busybox можно из chroot среды установить Entware."
echo "Для того, чтобы оказаться в chroot среде выполните:"
echo ""
echo "PATH=/opt/bin:/opt/sbin:/bin:/sbin $CHROOT_DIR/bin/busybox chroot $CHROOT_DIR /bin/sh"
echo ""
echo "В chroot среде выполните:"
echo "wget http://bin.entware.net/mipselsf-k3.4/installer/alternative.sh -O /installer.sh"
echo ""
echo "Затем установите Entware:"
echo "sh /installer.sh"
